postgresql-simple-0.2.4.1: Mid-Level PostgreSQL client library

Portability | portable
Stability | experimental
Maintainer | Leon P Smith <leon@melding-monads.com>
Safe Haskell | None

Database.PostgreSQL.Simple.ToRow

Description

The `ToRow` typeclass, for rendering a collection of parameters to a SQL query.

Predefined instances are provided for tuples containing up to ten elements.

Synopsis

- class ToRow a where
  - toRow :: a -> [Action]

# Documentation

class ToRow a where

A collection type that can be turned into a list of rendering `Action`s.

Instances should use the `render` method of the `Param` class to perform conversion of each element of the collection.

Methods

toRow :: a -> [Action]

ToField a collection of values.

Instances

ToRow () |
ToField a => ToRow [a] |
ToField a => ToRow (Only a) |
(ToField a, ToField b) => ToRow (a, b) |
(ToRow a, ToRow b) => ToRow (:. a b) |
(ToField a, ToField b, ToField c) => ToRow (a, b, c) |
(ToField a, ToField b, ToField c, ToField d) => ToRow (a, b, c, d) |
(ToField a, ToField b, ToField c, ToField d, ToField e) => ToRow (a, b, c, d, e) |
(ToField a, ToField b, ToField c, ToField d, ToField e, ToField f) => ToRow (a, b, c, d, e, f) |
(ToField a, ToField b, ToField c, ToField d, ToField e, ToField f, ToField g) => ToRow (a, b, c, d, e, f, g) |
(ToField a, ToField b, ToField c, ToField d, ToField e, ToField f, ToField g, ToField h) => ToRow (a, b, c, d, e, f, g, h) |
(ToField a, ToField b, ToField c, ToField d, ToField e, ToField f, ToField g, ToField h, ToField i) => ToRow (a, b, c, d, e, f, g, h, i) |
(ToField a, ToField b, ToField c, ToField d, ToField e, ToField f, ToField g, ToField h, ToField i, ToField j) => ToRow (a, b, c, d, e, f, g, h, i, j) |